Name:		remmina
Version:	1.0.0
Release:	%mkrel 2
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2
URL:		http://remmina.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Patch0:		remmina-1.0.0-cvs-fix-library-name.patch
Patch1:		remmina-1.0.0-cvs-linker-error.patch
Patch2:		remmina-1.0.0-cvs-add-clipboard-support.patch
Patch3:		remmina-1.0.0-cvs-clipboard-bugfix.patch
Patch4:		remmina-1.0.0-cvs-some-more-clipboard-fixes.patch
Patch5:		remmina-1.0.0-cvs-disconnect-signal-handler-after-disconnect.patch
Patch6:		remmina-1.0.0-cvs-fix-crashes-in-some-cases.patch
Patch7:		remmina-1.0.0-fdr-fix-memory-leak.patch
Patch8:		remmina-1.0.0-fdr-dsofix.patch
BuildRequires:	%{_lib}gtk+3.0-devel 
BuildRequires:	jpeg-devel
BuildRequires:	%{_lib}gnutls-devel
BuildRequires:	%{_lib}ssh-devel
BuildRequires:	%{_lib}avahi-ui-devel
BuildRequires:	%{_lib}vncserver-devel
BuildRequires:	%{_lib}xkbfile-devel
BuildRequires:	%{_lib}vte-devel 
BuildRequires:	%{_lib}vte3-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	zlib1-devel 
BuildRequires:	intltool 
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	%{_lib}freerdp-devel
BuildRequires:	%{_lib}telepathy-glib-devel
Requires:	remmina-plugins
Requires:	freerdp
Requires:	glib2.0-common
Requires:	%{_lib}gtk+3_0
Requires:	gtk+3.0
Requires:	x11-server-xephyr
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for 
system administrators and travelers, who need to work with lots of remote 
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.


%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for 
%{name}.

%package	plugins
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access

%description	plugins
Remmina is a remote desktop client written in GTK+, aiming to be useful for 
system administrators and travelers, who need to work with lots of remote 
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote 
desktop client.


%prep
%setup -qn FreeRDP-Remmina-356c033

%patch0 -p1 -b .fix-library-name
%patch1 -p1 -b .linker-error
%patch2 -p1 -b .add-clipboard-support
%patch3 -p1 -b .clipboard-bugfix
%patch4 -p1 -b .some-more-clipboard-fixes
%patch5 -p1 -b .disconnect-signal-handler
%patch6 -p1 -b .fix-crashes-in-some-cases
%patch7 -p1 -b .fix-memory-leak
%patch8 -p0 -b .dsofix

sed -i "s,/lib/remmina/plugins,/%{_lib}/remmina/plugins,g" CMakeLists.txt


%build
mkdir build
cd build
%__cmake \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DCMAKE_INSTALL_LIBDIR=%{_lib} \
        -DWITH_APPINDICATOR=OFF \
        -DWITH_PTHREAD=ON \
        -DWITH_GCRYPT=ON \
        -DWITH_LIBSSH=ON \
        -DWITH_VTE=ON \
        -DWITH_GETTEXT=ON \
        -DWITH_FREERDP=ON \
        -DWITH_TELEPATHY=ON \
        -DWITH_ZLIB=ON \
        -DWITH_GETTEXT=ON \
        -DWITH_AVAHI=ON \
        -DWITH_APPINDICATOR=OFF \
        -LIBVNCSERVER_INCLUDE_DIRS=%{_includedir} \
    ..


%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std  DESTDIR=%{buildroot} -C build

# dirty hack as desktop file does not get built.
sed 's,^_,,g' remmina/desktop/remmina.desktop.in > remmina/desktop/remmina.desktop

desktop-file-install --vendor="" --delete-original \
  --add-category="RemoteAccess" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --remove-key="Actions" \
  --dir %{buildroot}%{_datadir}/applications \
  remmina/desktop/remmina.desktop

%find_lang %{name}
%find_lang %{name}-plugins



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{name}/AUTHORS remmina/ChangeLog remmina/COPYING README 
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/remmina.desktop

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins -f %{name}-plugins.lang
%defattr(-,root,root,-)
%doc %{name}-plugins/AUTHORS remmina-plugins/COPYING
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/remmina-plugins-gnome.so
%{_libdir}/%{name}/plugins/remmina-plugin-nx.so
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-nx.png
%{_libdir}/%{name}/plugins/remmina-plugin-rdp.so
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-rdp-ssh.png
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-rdp.png
%{_libdir}/%{name}/plugins/remmina-plugin-telepathy.so
%{_libdir}/%{name}/plugins/remmina-plugin-vnc.so
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-vnc-ssh.png
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-vnc.png
%{_libdir}/%{name}/plugins/remmina-plugin-xdmcp.so
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-xdmcp-ssh.png
%{_datadir}/%{name}/icons/hicolor/*/emblems/remmina-xdmcp.png


%changelog
* Fri May 24 2013 Texstar <texstar at gmail.com> 1.0.0-2pclos2013
- add specific dependencies

* Thu Apr 11 2013 Texstar <texstar at gmail.com> 1.0.0-1pclos2013
- 1.0.0

* Fri Apr 22 2011 Texstar <texstar at gmail.com> 0.9.3-2pclos2011
- add dependency for remmina-plugins so they get all the protocols

* Tue Apr 18 2011 Texstar <texstar at gmail.com> 0.9.3-1pclos2011
- 0.9.3
- obsolete grdc

* Fri Dec 31 2010 johnnyblack <johnnyblack at inbox.com> 0.9.2-1pclos2010
- import into pclos based on specfile from mdv

